[![PyPI](https://img.shields.io/pypi/v/graphcompass.svg)](https://pypi.org/project/graphcompass/)

# GraphCompass
GraphCompass (**Graph** **Comp**arison Tools for Differential **A**nalyses in **S**patial **S**ystems) is a Python-based framework that brings together a robust suite of graph analysis and visualization methods, specifically tailored for the differential analysis of cell spatial organization using spatial omics data. It is developed on top on [`Squidpy`](https://github.com/scverse/squidpy/) and [`AnnData`](https://github.com/scverse/anndata).

Visit our [`repository`](https://github.com/theislab/graphcompass/) for documentation and tutorials.

## GraphCompass key analysis features include:

- Cell-type-specific subgraphs comparison.
- Cellular neighborhoods comparison.
- Entire graphs comparison.

## Installation
Install GraphCompass via PyPI by running:

    pip install graphcompass

## Contributing to GraphCompass
We are happy to collaborate. If you want to contribute to GraphCompass, head over to our GitHub repository and open an issue to discuss what you would like to change.
